GET api/JobSeeker/Profile/GetFeatureFlag
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
FeatureFlags| Name | Description | Type | Additional information |
|---|---|---|---|
| IsAwesomeFeatureEnabled | boolean |
None. |
|
| IsEmployerDashboardBannerEnabled | boolean |
None. |
|
| IsJobseekerPremiumEnabled | boolean |
None. |
|
| IsHiringManagerEnabled | boolean |
None. |
|
| HideRecruitingAndHiringRole | boolean |
None. |
|
| Isk12AudioeyeEnabled | boolean |
None. |
|
| HcmrhK12jsAnnouncementBannerEnabled | boolean |
None. |
|
| RhPendoEnabledProactiveRecruiting | boolean |
None. |
|
| HcmrhNextgenCrossPostingPr | boolean |
None. |
|
| UseSalesForceForHelp | boolean |
None. |
Response Formats
application/json, text/json
Sample:
{
"isAwesomeFeatureEnabled": true,
"isEmployerDashboardBannerEnabled": true,
"isJobseekerPremiumEnabled": true,
"isHiringManagerEnabled": true,
"hideRecruitingAndHiringRole": true,
"isk12AudioeyeEnabled": true,
"hcmrhK12jsAnnouncementBannerEnabled": true,
"rhPendoEnabledProactiveRecruiting": true,
"hcmrhNextgenCrossPostingPr": true,
"useSalesForceForHelp": true
}
application/xml, text/xml
Sample:
<FeatureFlags xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/TTCMiddleTier.Services.ConfigurationServices"> <HcmrhK12jsAnnouncementBannerEnabled>true</HcmrhK12jsAnnouncementBannerEnabled> <HcmrhNextgenCrossPostingPr>true</HcmrhNextgenCrossPostingPr> <HideRecruitingAndHiringRole>true</HideRecruitingAndHiringRole> <IsAwesomeFeatureEnabled>true</IsAwesomeFeatureEnabled> <IsEmployerDashboardBannerEnabled>true</IsEmployerDashboardBannerEnabled> <IsHiringManagerEnabled>true</IsHiringManagerEnabled> <IsJobseekerPremiumEnabled>true</IsJobseekerPremiumEnabled> <Isk12AudioeyeEnabled>true</Isk12AudioeyeEnabled> <RhPendoEnabledProactiveRecruiting>true</RhPendoEnabledProactiveRecruiting> <UseSalesForceForHelp>true</UseSalesForceForHelp> </FeatureFlags>